\section{Conclusion}
\label{sec:conclusion}

A perfectly secure system is impossible to attain. Nonetheless, it is an
excellent goal to aim for when design such systems, since the main purpose is to
make it as air tight as possible, without hopefully compromising performance and
usability, which is use-case dependant. We believe our solution is adequate at
solving the problem being presented, relying on standard and sound algorithms
and techniques to do so.